<vn>
<vn-group>
	<vn-lot-query id="params">
		<vn-spec name="address" type="Number"/>
	</vn-lot-query>
	<db-form id="iter" on-status-changed="onStatusChange">
		<db-model
		 	id="model"
			property="model"
			updatable="true"
			mode="ON_DEMAND"
			lot="params"
			on-operations-done="onOperationsDone">
			SELECT a.id, a.name, a.consignee, a.city, a.zip_code, a.province_id, c.Id country
				FROM address_view a
					LEFT JOIN vn2008.province p ON p.province_id = a.province_id
					JOIN vn2008.Paises c ON c.Id = p.Paises_Id
				WHERE active != FALSE AND a.id = #address
		</db-model>
	</db-form>
</vn-group>
<h1 id="title">
	_AddEditAddress
</h1>
<div id="actions">
	<htk-bar-button
		icon="ok"
		tip="_Accept"
		on-click="onAcceptClick"/>
	<htk-bar-button
		icon="close"
		tip="_Return"
		on-click="onReturnClick"/>
</div>
<div id="main" class="address">
	<div class="card form">
		<div>
			<label>_Name</label>
			<htk-entry lot="iter" name="consignee"/>
		</div>
		<div>
			<label>_Address</label>
			<htk-entry lot="iter" name="name"/>
		</div>
		<div>
			<label>_City</label>
			<htk-entry lot="iter" name="city"/>
		</div>
		<div>
			<label>_ZipCode</label>
			<htk-entry lot="iter" name="zip_code"/>
		</div>
		<div>
			<label>_Country</label>
			<htk-combo>
				<vn-param
					id="country"
					property="param"
					lot="iter"
					name="country"
					one-way="true"/>
				<db-model property="model">
					SELECT Id, Pais FROM vn2008.Paises
						ORDER BY Pais
				</db-model>
			</htk-combo>
		</div>
		<div>
			<label>_Province</label>
			<htk-combo lot="iter" name="province_id">
				<db-model property="model" lot="iter">
					SELECT province_id, name FROM vn2008.province
						WHERE Paises_Id = #country
						ORDER BY name
				</db-model>
			</htk-combo>
		</div>
	</div>
</div>
</vn>
